Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Member Functions | List of all members
cutlass::gemm::ColumnMajorBlockSwizzle< groupCols, swDirection > Struct Template Reference

`#include <threadblock_swizzle.h>`

## Public Member Functions
CUTLASS_HOST_DEVICE | ColumnMajorBlockSwizzle ()
| Ctor. More...
CUTLASS_DEVICE dim3 | swizzle ()
| Swizzle the block index. More...
CUTLASS_HOST_DEVICE dim3 | get_grid_layout (GemmCoord const &problem_size, Coord< 3 > const &OutputTile)
CUTLASS_DEVICE Coord< 3 > | get_threadblock_offset (Coord< 3 > const &OutputTile)
CUTLASS_DEVICE int | get_batch_id ()
CUTLASS_DEVICE bool | is_last_partition ()
| check if at the last partition More...
CUTLASS_DEVICE Coord< 3 > | get_threadblock_bounds (GemmCoord const &problem_size, int partitionK_range)

## Constructor & Destructor Documentation

## ◆ ColumnMajorBlockSwizzle()

template<int groupCols, enum swizzleDirection::Kind swDirection>

CUTLASS_HOST_DEVICE cutlass::gemm::ColumnMajorBlockSwizzle< groupCols, swDirection >::ColumnMajorBlockSwizzle | ( |  | ) |
| inline

## Member Function Documentation

## ◆ get_batch_id()

template<int groupCols, enum swizzleDirection::Kind swDirection>

CUTLASS_DEVICE int cutlass::gemm::ColumnMajorBlockSwizzle< groupCols, swDirection >::get_batch_id | ( |  | ) |
| inline

## ◆ get_grid_layout()

template<int groupCols, enum swizzleDirection::Kind swDirection>

CUTLASS_HOST_DEVICE dim3 cutlass::gemm::ColumnMajorBlockSwizzle< groupCols, swDirection >::get_grid_layout | ( | GemmCoord const & | problem_size,
|  | Coord< 3 > const & | OutputTile
| ) |  |
| inline

## ◆ get_threadblock_bounds()

template<int groupCols, enum swizzleDirection::Kind swDirection>

CUTLASS_DEVICE Coord<3> cutlass::gemm::ColumnMajorBlockSwizzle< groupCols, swDirection >::get_threadblock_bounds | ( | GemmCoord const & | problem_size,
|  | int | partitionK_range
| ) |  |
| inline

## ◆ get_threadblock_offset()

template<int groupCols, enum swizzleDirection::Kind swDirection>

CUTLASS_DEVICE Coord<3> cutlass::gemm::ColumnMajorBlockSwizzle< groupCols, swDirection >::get_threadblock_offset | ( | Coord< 3 > const & | OutputTile | ) |
| inline

## ◆ is_last_partition()

template<int groupCols, enum swizzleDirection::Kind swDirection>

CUTLASS_DEVICE bool cutlass::gemm::ColumnMajorBlockSwizzle< groupCols, swDirection >::is_last_partition | ( |  | ) |
| inline

## ◆ swizzle()

template<int groupCols, enum swizzleDirection::Kind swDirection>

CUTLASS_DEVICE dim3 cutlass::gemm::ColumnMajorBlockSwizzle< groupCols, swDirection >::swizzle | ( |  | ) |
| inline

The documentation for this struct was generated from the following file:

- gemm/threadblock_swizzle.h